Commit 35a6f4f2 authored by Maxwell Salzberg's avatar Maxwell Salzberg Committed by danielgrippi
Browse files

basic 3.1 upgrade... a few things are still broken. help me out and run the tests and fix them <3

parent a2aabeb5
source 'http://rubygems.org'
gem 'rails', '3.0.11'
gem 'rails', '3.1.4'
gem 'rails_autolink'
gem 'bundler', '~> 1.1.0'
gem 'foreman', '0.34.1'
gem 'whenever'
......@@ -14,7 +14,7 @@ gem 'rack-cors', '~> 0.2.4', :require => 'rack/cors'
# authentication
gem 'devise', '~> 1.3.1'
gem 'devise', '1.5.3'
gem 'jwt'
gem 'oauth2-provider', '0.0.19'
......@@ -49,9 +49,9 @@ end
gem 'settingslogic', :git => 'git://github.com/binarylogic/settingslogic.git'
# database
gem 'activerecord-import'
gem "activerecord-import", "~> 0.2.9"
gem 'foreigner', '~> 1.1.0'
gem 'mysql2', '0.2.18' if ENV['DB'].nil? || ENV['DB'] == 'all' || ENV['DB'] == 'mysql'
gem 'mysql2', '0.3.11' if ENV['DB'].nil? || ENV['DB'] == 'all' || ENV['DB'] == 'mysql'
gem 'pg' if ENV['DB'] == 'all' || ENV['DB'] == 'postgres'
gem 'sqlite3' if ENV['DB'] == 'all' || ENV['DB'] == 'sqlite'
......
......@@ -50,37 +50,38 @@ GEM
open4
Platform (0.4.0)
SystemTimer (1.2.3)
abstract (1.0.0)
actionmailer (3.0.11)
actionpack (= 3.0.11)
mail (~> 2.2.19)
actionpack (3.0.11)
activemodel (= 3.0.11)
activesupport (= 3.0.11)
builder (~> 2.1.2)
erubis (~> 2.6.6)
i18n (~> 0.5.0)
rack (~> 1.2.1)
rack-mount (~> 0.6.14)
rack-test (~> 0.5.7)
tzinfo (~> 0.3.23)
actionmailer (3.1.4)
actionpack (= 3.1.4)
mail (~> 2.3.0)
actionpack (3.1.4)
activemodel (= 3.1.4)
activesupport (= 3.1.4)
builder (~> 3.0.0)
erubis (~> 2.7.0)
i18n (~> 0.6)
rack (~> 1.3.6)
rack-cache (~> 1.1)
rack-mount (~> 0.8.2)
rack-test (~> 0.6.1)
sprockets (~> 2.0.3)
active_reload (0.6.1)
activemodel (3.0.11)
activesupport (= 3.0.11)
builder (~> 2.1.2)
i18n (~> 0.5.0)
activerecord (3.0.11)
activemodel (= 3.0.11)
activesupport (= 3.0.11)
arel (~> 2.0.10)
tzinfo (~> 0.3.23)
activemodel (3.1.4)
activesupport (= 3.1.4)
builder (~> 3.0.0)
i18n (~> 0.6)
activerecord (3.1.4)
activemodel (= 3.1.4)
activesupport (= 3.1.4)
arel (~> 2.2.3)
tzinfo (~> 0.3.29)
activerecord-import (0.2.9)
activerecord (~> 3.0)
activerecord (~> 3.0)
activeresource (3.0.11)
activemodel (= 3.0.11)
activesupport (= 3.0.11)
activesupport (3.0.11)
activeresource (3.1.4)
activemodel (= 3.1.4)
activesupport (= 3.1.4)
activesupport (3.1.4)
multi_json (~> 1.0)
acts_as_api (0.3.11)
activemodel (>= 3.0.0)
activesupport (>= 3.0.0)
......@@ -90,9 +91,9 @@ GEM
activesupport
builder
archive-tar-minitar (0.5.2)
arel (2.0.10)
bcrypt-ruby (2.1.4)
builder (2.1.2)
arel (2.2.3)
bcrypt-ruby (3.0.1)
builder (3.0.0)
capistrano (2.9.0)
highline
net-scp (>= 1.0.0)
......@@ -134,10 +135,10 @@ GEM
nokogiri (>= 1.5.0)
daemons (1.1.8)
database_cleaner (0.7.1)
devise (1.3.4)
bcrypt-ruby (~> 2.1.2)
devise (1.5.3)
bcrypt-ruby (~> 3.0)
orm_adapter (~> 0.0.3)
warden (~> 1.0.3)
warden (~> 1.1)
diff-lcs (1.1.3)
em-http-request (1.0.2)
addressable (>= 2.2.3)
......@@ -149,8 +150,7 @@ GEM
eventmachine
em-synchrony (1.0.0)
eventmachine (>= 1.0.0.beta.1)
erubis (2.6.6)
abstract (>= 1.0.0)
erubis (2.7.0)
eventmachine (1.0.0.beta.4)
excon (0.12.0)
factory_girl (2.6.4)
......@@ -172,22 +172,13 @@ GEM
activesupport (>= 2)
fog (1.2.0)
builder
builder
excon (~> 0.12.0)
excon (~> 0.12.0)
formatador (~> 0.2.0)
formatador (~> 0.2.0)
mime-types
mime-types
multi_json (~> 1.0)
multi_json (~> 1.0)
net-scp (~> 1.0.4)
net-scp (~> 1.0.4)
net-ssh (>= 2.1.3)
net-ssh (>= 2.1.3)
nokogiri (~> 1.5.0)
nokogiri (~> 1.5.0)
ruby-hmac
ruby-hmac
foreigner (1.1.5)
activerecord (>= 3.0.0)
......@@ -213,10 +204,11 @@ GEM
heroku (>= 2)
rails (>= 2)
highline (1.6.11)
hike (1.2.1)
hodel_3000_compliant_logger (0.1.0)
http_accept_language (1.0.2)
http_parser.rb (0.5.3)
i18n (0.5.0)
i18n (0.6.0)
i18n-inflector (2.6.6)
i18n (>= 0.4.1)
i18n-inflector-rails (1.0.6)
......@@ -246,13 +238,12 @@ GEM
rbx-require-relative (> 0.0.4)
linecache19 (0.5.12)
ruby_core_source (>= 0.1.4)
mail (2.2.19)
activesupport (>= 2.3.6)
mail (2.3.3)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
messagebus_ruby_api (1.0.3)
mime-types (1.17.2)
mime-types (1.18)
mimemagic (0.1.8)
mini_magick (3.4)
subexec (~> 0.2.1)
......@@ -267,7 +258,7 @@ GEM
gem_plugin (>= 0.2.3)
multi_json (1.0.4)
multipart-post (1.1.5)
mysql2 (0.2.18)
mysql2 (0.3.11)
net-scp (1.0.4)
net-ssh (>= 1.99.1)
net-sftp (2.0.5)
......@@ -311,37 +302,44 @@ GEM
pg (0.13.2)
polyglot (0.3.3)
proxies (0.2.1)
rack (1.2.5)
rack (1.3.6)
rack-cache (1.2)
rack (>= 0.4)
rack-cors (0.2.4)
rack
rack-fiber_pool (0.9.2)
rack-google-analytics (0.10.0)
rack-mobile-detect (0.3.0)
rack
rack-mount (0.6.14)
rack-mount (0.8.3)
rack (>= 1.0.0)
rack-piwik (0.1.2)
rack-protection (1.2.0)
rack
rack-rewrite (1.2.1)
rack-ssl (1.3.2)
rack
rack-test (0.5.7)
rack-test (0.6.1)
rack (>= 1.0)
rails (3.0.11)
actionmailer (= 3.0.11)
actionpack (= 3.0.11)
activerecord (= 3.0.11)
activeresource (= 3.0.11)
activesupport (= 3.0.11)
rails (3.1.4)
actionmailer (= 3.1.4)
actionpack (= 3.1.4)
activerecord (= 3.1.4)
activeresource (= 3.1.4)
activesupport (= 3.1.4)
bundler (~> 1.0)
railties (= 3.0.11)
railties (= 3.1.4)
rails-i18n (0.5.2)
i18n (~> 0.5)
railties (3.0.11)
actionpack (= 3.0.11)
activesupport (= 3.0.11)
rails_autolink (1.0.6)
rails (~> 3.1)
railties (3.1.4)
actionpack (= 3.1.4)
activesupport (= 3.1.4)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
thor (~> 0.14.4)
thor (~> 0.14.6)
raindrops (0.8.0)
rake (0.9.2.2)
rbx-require-relative (0.0.9)
......@@ -405,9 +403,14 @@ GEM
multi_json (~> 1.0.4)
rubyzip
simple_oauth (0.1.5)
sinatra (1.2.8)
rack (~> 1.1)
tilt (>= 1.2.2, < 2.0)
sinatra (1.3.2)
rack (~> 1.3, >= 1.3.6)
rack-protection (~> 1.2)
tilt (~> 1.3, >= 1.3.3)
sprockets (2.0.3)
hike (~> 1.2)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
sqlite3 (1.3.5)
subexec (0.2.1)
term-ansicolor (1.0.7)
......@@ -435,7 +438,7 @@ GEM
raindrops (~> 0.7)
vegas (0.1.11)
rack (>= 1.0.0)
warden (1.0.6)
warden (1.1.1)
rack (>= 1.0)
webmock (1.6.2)
addressable (>= 2.2.2)
......@@ -456,7 +459,7 @@ PLATFORMS
DEPENDENCIES
SystemTimer (= 1.2.3)
active_reload
activerecord-import
activerecord-import (~> 0.2.9)
acts-as-taggable-on!
acts_as_api
addressable (= 2.2.4)
......@@ -471,7 +474,7 @@ DEPENDENCIES
cucumber-api-steps (= 0.6)
cucumber-rails (= 1.2.1)
database_cleaner (= 0.7.1)
devise (~> 1.3.1)
devise (= 1.5.3)
diaspora-client!
em-synchrony (= 1.0.0)
factory_girl_rails
......@@ -498,7 +501,7 @@ DEPENDENCIES
mobile-fu
mock_redis
mongrel
mysql2 (= 0.2.18)
mysql2 (= 0.3.11)
newrelic_rpm
nokogiri (= 1.5.0)
oauth2-provider (= 0.0.19)
......@@ -514,8 +517,9 @@ DEPENDENCIES
rack-piwik
rack-rewrite (~> 1.2.1)
rack-ssl
rails (= 3.0.11)
rails (= 3.1.4)
rails-i18n
rails_autolink
redcarpet (= 2.0.1)
resque (= 1.19.0)
resque-ensure-connected!
......
......@@ -4,11 +4,11 @@
#
#
#
#Why? as of rails 3.0.4, objects are marshalled by calling to yaml, if it is a text field in the db. since we assume things are strings coming out, and pkey does not seem to define a to_yaml, it was getting set to nil
class OpenSSL::PKey::RSA
def to_yaml
self.to_s
end
end
##Why? as of rails 3.0.4, objects are marshalled by calling to yaml, if it is a text field in the db. since we assume things are strings coming out, and pkey does not seem to define a to_yaml, it was getting set to nil
#class OpenSSL::PKey::RSA
# def to_yaml
# self.to_s
# end
#end
#
#
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment